텐서플로우 ModuleNotFoundError: No module named ‘tensorflow._api’

질문 포럼분류: 강의 관련 질문텐서플로우 ModuleNotFoundError: No module named ‘tensorflow._api’
우찬수 질문함 1년 전

좋은 강의 감사드립니다.
처음 강좌에서 진행할때는 강의처럼 텐서플로우가 되었는데
이젠 다시 텐서플로우가 파이참에서 전혀 안됩니다.

제가 파이참 터미널에서 했던것이

pip install -q tensorflow==2.0.0-alpha0
을 한번 한적이 있었습니다.

(설치하다가 진행이 안되어 그냥 파이참을 닫아 버렸습니다.)

현재 제가 텐서플로우를 사용하려고 하면 다음과 같은 오류가 나옵니다.

line 27, in
from tensorflow._api.v2 import audio
ModuleNotFoundError: No module named 'tensorflow._api'

다시 강의대로 설치하려고

pip install tensorflow==1.2.0
이라고 하니

ERROR: tb-nightly 1.14.0a20190301 has requirement markdown>=2.6.8, but you’ll have markdown 2.2.0 which is incompatible.

이렇게 나옵니다.

어떻게 하면 텐서플로우를 사용할 수 있을까요?
파이참에서 텐서플로우 사용하기가 많이 까다롭군요.

정리 하면 다음과 같습니다.

사용 환경 win 10

파이참, 아나콘다, 파이썬 모두 강의 대로 했습니다.

텐서플로우 강의 대로 했습니다. (처음엔 되었습니다.)

오류 메세지

line 27, in
from tensorflow._api.v2 import audio
ModuleNotFoundError: No module named 'tensorflow._api'

2 답변
샵투 스탭 답변함 1년 전

안녕하세요.
해당 환경을 제 쪽에서 그대로 구현을 할 수 없습니다만,
이런 유형의 문제는 다시 설치하면 해결되는 문제입니다.
다만 파이참 터미날에서 설치하지 마시고
반드시 강의와 같이 CMD 로 커맨드프롬프트 상태에서 
강의의 순서대로 pip install tensorflow==1.2.0 하시면 
기존 시도하셨다 중단하셨다는 텐서플로우 2.0 알파버전은 제거 되면서
설치됩니다.
 
 

우찬수 답변함 1년 전

감사합니다!
설치 완료 되었습니다!
아휴. 되니까 힘이 납니다.

shop2school 제휴 문의1-302-613 -1812 |이메일 info@shop2world.com | 법인명: SHOP2WORLD, INC. | 2801 CENTERVILLE RD 1ST FLOOR PMB 8085 WILMINGTON DE 19808 USA.